# Generated from cancancan-mongoid-2.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name cancancan-mongoid

Name: rubygem-%{gem_name}
Version: 2.0.0
Release: 1%{?dist}
Summary: Mongoid database adapter for CanCanCan
License: MIT
URL: https://github.com/CanCanCommunity/cancancan-mongoid
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.2
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.48.1
# BuildRequires: rubygem(rubocop) < 0.49
# BuildRequires: rubygem(simplecov) >= 0.12
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(coveralls) >= 0.8
# BuildRequires: rubygem(coveralls) < 1
# BuildRequires: rubygem(codeclimate-test-reporter) >= 1.0
# BuildRequires: rubygem(codeclimate-test-reporter) < 2
# BuildRequires: rubygem(mongoid) >= 3.0
# BuildRequires: rubygem(mongoid) < 4
# BuildRequires: rubygem(appraisal) >= 2.0
# BuildRequires: rubygem(appraisal) < 3
BuildArch: noarch

%description
Implements CanCanCan's rule-based record fetching using Mongoid.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/cancancan-mongoid.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 2.0.0-1
- Initial package
